.recruit-page {
    .recruit-header {
        aspect-ratio: 1.8;
        overflow: hidden;
        background-size: cover;
        background-repeat: no-repeat;
        min-height: 360px;
        width: 100%;

        > .container {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100%;

            .recruit-form {
                width: 100%;
                margin-top: 150px;

                h1 {
                    font-size: 54px;
                    color: #fff;
                    text-align: center;
                    letter-spacing: 10px;
                    text-transform: uppercase;
                }

                form {
                    margin-top: 30px;
                    display: grid;
                    grid-gap: 5px;
                    grid-template-columns: repeat(3, minmax(min(200px, 100%), 1fr)) max-content;

                    .input-group {
                        height: min-content;
                    }
                    .explain {
                        font-size: 12px;
                        color: #ffffff;
                        width: 100%;
                        margin-top: 10px;
                    }

                    select,
                    input,
                    button {
                        height: max-content;
                    }
                    button {
                        text-transform: uppercase;
                    }

                    .input-group-text {
                        background-color: #fff;
                        ~ input {
                            border-left: none;

                            &:focus {
                                box-shadow: none;
                            }
                        }
                    }
                }
            }
        }
    }

    .recruit-list {
        padding-top: 60px;
        padding-bottom: 50px;
        background-color: #f4f5f7;

        h2 {
            font-size: 32px;
        }
        .container > .description {
            font-size: 16px;
            text-align: center;
            text-transform: uppercase;
            margin-bottom: 35px;
        }

        .card-body {
            padding: 18px 40px;
        }

        .table-responsive {
            .table {
                min-width: 768px;

                tr:last-child {
                    td {
                        border-bottom: none;
                    }
                }
                td {
                    vertical-align: middle;
                    &:not(:first-child) {
                        text-align: center;
                    }

                    &.pay-rate {
                        color: #36a2ff;
                        font-weight: bold;
                    }

                    &.expired {
                        font-weight: bold;
                    }

                    .btn {
                        text-transform: uppercase;
                        font-weight: bold;
                        font-size: 14px;
                    }
                }

                .title {
                    font-size: 16px;
                    font-weight: bold;
                }

                .description {
                    display: grid;
                    grid-gap: 10px;
                    column-gap: 30px;
                    grid-template-columns: minmax(180px, max-content) 1fr;
                    > div {
                        display: grid;
                        column-gap: 5px;
                        grid-template-columns: min-content 1fr;
                        align-items: center;
                        font-size: 14px;
                    }
                }
            }
        }
    }
}

.recruit-view {
    .recruit-body {
        max-height: 300px;
        overflow: auto;
    }

    .recruit-form {
        margin-top: 20px;
        margin-bottom: 20px;

        h4 {
            text-align: center;
        }

        .inputs {
            display: grid;
            column-gap: 20px;
            row-gap: 5px;
            grid-template-columns: repeat(auto-fill, minmax(min(250px, 100%), 1fr));

            margin-bottom: 15px;

            .col-form-label {
                font-weight: bold;
            }

            .explain {
                font-size: small;
            }
        }
    }
}

@media (max-width: 768px) {
    .recruit-page {
        .recruit-header {
            > .container {
                .recruit-form {
                    margin-top: unset;

                    h1 {
                        font-size: 30px;
                    }

                    form {
                        grid-template-columns: 1fr;
                    }
                }
            }
        }
    }
}
